import logging
from staff.budget_position.workflow_service.entities.abstract_workflow import AbstractWorkflow


logger = logging.getLogger(__name__)


class WorkflowCreditManagementWithVacancy(AbstractWorkflow):
    code = '8.0'
    description = 'Closes credit budget position by another budget postion with active vacancy'
    should_close_vacancy = True
    should_be_pushed_automatically = True


class WorkflowCreditManagement(AbstractWorkflow):
    code = '8.1'
    description = 'Closes credit budget position by another budget postion'
    should_be_pushed_automatically = True
